create  table people
(
  id varchar( 30 ) primary key,
  name varchar(100),
  surname varchar(100)
);

create  table students
(
  code varchar(30) primary key,
  media int,
  person_id varchar(30),

  constraint fk_people foreign key(person_id) references people(id)
);

create  table degreedstudents
(
  code varchar(30) primary key,
  dateOfDegree timestamp,

  constraint fk_students foreign key(code) references students(code)
);

create  table teachers
(
  id varchar(30) primary key
);

create  table courses
(
  code varchar(30) primary key,
  description varchar(200),
  teacher_id varchar(30),

  constraint fk_teachers foreign key(teacher_id) references teachers(id)
);